import processing.net.*;
import processing.serial.*;

Server s;

PFont font;
PFont font1;

PImage up;
PImage down;

int motorX1 = 100;
int motorX2 = 350;
int motorY = 340;

void setup() {
  size(600, 500);
  background(0);
  stroke(0);
  frameRate(5); // Slow it down a little
  s = new Server(this, 12345); // Start a simple server on a port

  up = loadImage("cima.png");  
  down = loadImage("baixo.png");
  
 font = createFont("Courier", 26);
 font1 = createFont("Courier", 60);
}

void draw() {
 fill(255);
 textFont(font1);
  text("SERVER", 180,120);
 textFont(font);
  text("Motors:", 250,motorY-20);
}


void keyPressed() {
 if (key == CODED) {
   if (keyCode == UP) {
    s.write("w");
     image(up, motorX1, motorY); 
     image(up, motorX2, motorY); 
    } else if (keyCode == DOWN) {
       s.write("s");
        image(down, motorX1, motorY); 
        image(down, motorX2, motorY); 
    } else if (keyCode == LEFT) {
       s.write("a");
        image(down, motorX1, motorY); 
        image(up, motorX2, motorY); 
    } else if (keyCode == RIGHT) {
       s.write("d");
        image(up, motorX1, motorY); 
        image(down, motorX2, motorY); 
    }  
 }
if (key == 's' || key == 'S') {
 s.write('g');
  fill(0);
  rect(motorX1,motorY,150,150);
  rect(motorX2,motorY,150,150);
 }
}

